Smart Proxy - Bug #6589

Trusted host list seems to be ignored
07/11/2014 09:40 AM - Martin Milata

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Security
Target version: 1.6.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/195
Description

The trusted host list does not seem to be used (migrate_settings.rb only moves the configuration value around).

~/smart-proxy$ git grep -1 trusted_hosts
config/settings.yml.example
extra/migrate_settings.rb
test/migration_settings.yml
test/migration_test.rb

If you decide to bring back the check, | would really appreciate if it was possible to exclude some REST API paths from the check
because the ABRT plugin needs to accept problem reports even from untrusted hosts.

Related issues:
Has duplicate Smart Proxy - Bug #5651: The 'trusted_hosts' config key has an ... Duplicate 05/09/2014

Associated revisions

Revision 0c9a01b6 - 08/08/2014 05:44 AM - Dominic Cleal
fixes #6589 - add trusted_hosts check back

History

#1 - 07/11/2014 11:52 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#2 - 08/05/2014 08:32 AM - Dominic Cleal

- Assignee set to Dominic Cleal

#3 - 08/05/2014 08:32 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version setto 1.7.5

- Pull request https://github.com/theforeman/smart-proxy/pull/195 added
- Pull request deleted ()

#4 - 08/08/2014 06:02 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 0c9a01b63c9cf182d0394ce9ae141d39bc86f9e5.

#5 - 10/06/2014 06:41 AM - Dominic Cleal
- Has duplicate Bug #5651: The 'trusted_hosts' config key has an unintuitive (and potentially dangerous) behavior added

05/17/2024 1/1



https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/0c9a01b63c9cf182d0394ce9ae141d39bc86f9e5
http://www.tcpdf.org

